package com.microservices.wiki.refactoring.exception;

public class BusiException extends RuntimeException {
    private String errorCode = "999";

    public BusiException(String message) {
        super(message);
    }

    public BusiException(String message, String errorCode) {
        super(message);
        this.errorCode = errorCode;
    }

    public BusiException(String message, Throwable cause) {
        super(message, cause);
    }

    public BusiException(String message, String errorCode, Throwable cause) {
        super(message, cause);
        this.errorCode = errorCode;
    }

    public String getErrorCode() {
        return this.errorCode;
    }
}